Debian Bug report logs - #650096
perl: test failure on hurd: ../dist/IO/t/io_pipe.t

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sat, 26 Nov 2011 13:57:06 UTC

Severity: important

Fixed in version perl/5.18.1-5

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#650096; Package src:perl. (Sat, 26 Nov 2011 13:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Niko Tyni <ntyni@debian.org>. (Sat, 26 Nov 2011 13:57:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: perl: test failure on hurd: ../dist/IO/t/io_pipe.t
Date: Sat, 26 Nov 2011 13:56:09 +0000
Source: perl
Version: 5.14.2-5
Severity: important

../dist/IO/t/io_pipe.t .. Failed 1/10 subtests

Test Summary Report
-------------------
../dist/IO/t/io_pipe.t (Wstat: 0 Tests: 9 Failed: 0)
  Parse errors: Tests out of sequence.  Found (10) but expected (9)
                Bad plan.  You planned 10 tests but ran 9.
Files=1, Tests=9,  1 wallclock secs ( 0.05 usr +  0.03 sys =  0.08 CPU)
Result: FAIL

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added indication that bug 650096 blocks 648623 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 27 Nov 2011 14:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#650096; Package src:perl. (Tue, 29 Nov 2011 00:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Tue, 29 Nov 2011 00:54:05 GMT) Full text and rfc822 format available.

Message #12 received at 650096@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 650096@bugs.debian.org, toscano.pino@tiscali.it
Subject: Re: Bug#650096: perl: test failure on hurd: ../dist/IO/t/io_pipe.t
Date: Tue, 29 Nov 2011 01:52:38 +0100
Dominic Hargreaves, le Sat 26 Nov 2011 13:56:09 +0000, a écrit :
> ../dist/IO/t/io_pipe.t .. Failed 1/10 subtests

Pino apparently noticed that it'd be fixed by the pflocal or socket
patches, and will confirm

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#650096; Package src:perl. (Thu, 01 Dec 2011 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <toscano.pino@tiscali.it>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Thu, 01 Dec 2011 10:27:07 GMT) Full text and rfc822 format available.

Message #17 received at 650096@bugs.debian.org (full text, mbox):

From: Pino Toscano <toscano.pino@tiscali.it>
To: Samuel Thibault <sthibault@debian.org>
Cc: Dominic Hargreaves <dom@earth.li>, 650096@bugs.debian.org
Subject: Re: Bug#650096: perl: test failure on hurd: ../dist/IO/t/io_pipe.t
Date: Thu, 1 Dec 2011 11:24:10 +0100
[Message part 1 (text/plain, inline)]
Alle martedì 29 novembre 2011, Samuel Thibault ha scritto:
> Dominic Hargreaves, le Sat 26 Nov 2011 13:56:09 +0000, a écrit :
> > ../dist/IO/t/io_pipe.t .. Failed 1/10 subtests
> 
> Pino apparently noticed that it'd be fixed by the pflocal or socket
> patches, and will confirm

Yes, it looks like the latest hurd patches made this test pass.

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Niko Tyni <ntyni@debian.org>:
Bug#650096; Package src:perl. (Thu, 01 Dec 2011 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Niko Tyni <ntyni@debian.org>. (Thu, 01 Dec 2011 10:33:13 GMT) Full text and rfc822 format available.

Message #22 received at 650096@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Pino Toscano <toscano.pino@tiscali.it>
Cc: Dominic Hargreaves <dom@earth.li>, 650096@bugs.debian.org
Subject: Re: Bug#650096: perl: test failure on hurd: ../dist/IO/t/io_pipe.t
Date: Thu, 1 Dec 2011 11:30:56 +0100
tags 650096 + fixed-upstream pending
thanks

Pino Toscano, le Thu 01 Dec 2011 11:24:10 +0100, a écrit :
> Alle martedì 29 novembre 2011, Samuel Thibault ha scritto:
> > Dominic Hargreaves, le Sat 26 Nov 2011 13:56:09 +0000, a écrit :
> > > ../dist/IO/t/io_pipe.t .. Failed 1/10 subtests
> > 
> > Pino apparently noticed that it'd be fixed by the pflocal or socket
> > patches, and will confirm
> 
> Yes, it looks like the latest hurd patches made this test pass.

Ok, thus marking as pending too.

Samuel




Added tag(s) pending and fixed-upstream. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Thu, 01 Dec 2011 10:33:16 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:perl' to 'hurd'. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Thu, 01 Dec 2011 10:39:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions perl/5.14.2-5. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Thu, 01 Dec 2011 10:39:03 GMT) Full text and rfc822 format available.

Reply sent to Samuel Thibault <sthibault@debian.org>:
You have taken responsibility. (Thu, 08 Dec 2011 07:19:20 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Thu, 08 Dec 2011 07:19:20 GMT) Full text and rfc822 format available.

Message #33 received at 650096-close@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 650096-close@bugs.debian.org
Subject: Bug#650096: fixed in hurd 20111206-1
Date: Thu, 08 Dec 2011 07:03:57 +0000
Source: hurd
Source-Version: 20111206-1

We believe that the bug you reported is fixed in the latest version of
hurd, which is due to be installed in the Debian FTP archive:

hurd-dbg_20111206-1_hurd-i386.deb
  to main/h/hurd/hurd-dbg_20111206-1_hurd-i386.deb
hurd-dev_20111206-1_hurd-i386.deb
  to main/h/hurd/hurd-dev_20111206-1_hurd-i386.deb
hurd-doc_20111206-1_all.deb
  to main/h/hurd/hurd-doc_20111206-1_all.deb
hurd-udeb_20111206-1_hurd-i386.udeb
  to main/h/hurd/hurd-udeb_20111206-1_hurd-i386.udeb
hurd_20111206-1.debian.tar.bz2
  to main/h/hurd/hurd_20111206-1.debian.tar.bz2
hurd_20111206-1.dsc
  to main/h/hurd/hurd_20111206-1.dsc
hurd_20111206-1_hurd-i386.deb
  to main/h/hurd/hurd_20111206-1_hurd-i386.deb
hurd_20111206.orig.tar.gz
  to main/h/hurd/hurd_20111206.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650096@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Thibault <sthibault@debian.org> (supplier of updated hurd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 06 Dec 2011 01:49:34 +0100
Source: hurd
Binary: hurd hurd-dev hurd-dbg hurd-doc hurd-udeb
Architecture: source all hurd-i386
Version: 20111206-1
Distribution: unstable
Urgency: low
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Changed-By: Samuel Thibault <sthibault@debian.org>
Description: 
 hurd       - GNU Hurd
 hurd-dbg   - GNU Hurd (debugging files)
 hurd-dev   - GNU Hurd (development files)
 hurd-doc   - GNU Hurd manual
 hurd-udeb  - GNU Hurd - udeb (udeb)
Closes: 556526 650096 650097 650186
Changes: 
 hurd (20111206-1) unstable; urgency=low
 .
   * New upstream snapshot.
     - Drop debian/patches/libpager_update_seqno.patch, applied upstream.
     - Closes: #650097, #650186, #650096.
   * control:
     - Use hurd-any instead of hurd-i386.
     - Recommend bf-utf-source to get more than just latin1 on the console.
   * hurd.postinst: Set up "*random" alternatives and generate seed on
     first install too.
   * patches/libexec.patch, hurd.install, hurd-udeb.install, hurd.postinst,
     rules: Move getty, console-run, and runttys to /sbin, runsystem and rc to
     /etc/hurd (Closes: Bug#556526).
   * hurd-udeb.lintian-overrides: Drop override about /libexec
   * local/random-hurd.sh, urandom-hurd.sh: Add scripts to be used as
     hurd-provided translators for /dev/*random.
   * hurd.postinst: Remove "random" alternative introduced by 20111106-1, as it
     makes rgrep in /etc not working any more. Install random.sh alternative
     instead, which sets /hurd/u?random.sh scripts.
   * local/setup-translators: Set /dev/u?random translator from
     /hurd/u?random.sh instead of making them alternatives. Set up
     /dev/u?random in hurd-udeb too.
   * hurd-udeb.install: Add /hurd/random.
   * hurd.install: Add /etc/securetty.
   * local/setup-translators: Move /run initialization to...
   * patches/run.patch: ... boot time.
Checksums-Sha1: 
 85cf2151c8082842297fd13e37a6c53019b09504 1751 hurd_20111206-1.dsc
 8f8e4333a52a7d391fd2b7862a7288992bb0d75e 2717008 hurd_20111206.orig.tar.gz
 03f8381160d1834225b4e171117e12f3a83f236b 85280 hurd_20111206-1.debian.tar.bz2
 8c5d7ad7f157fe7feb0fcab7fdfa22325a54f4ee 198216 hurd-doc_20111206-1_all.deb
 5e060ca26bdf2e6cb530f939c493d5f0510dfec8 3622824 hurd_20111206-1_hurd-i386.deb
 2bc86dac8fdb28952a4e99ae3a51a3a279fa4a12 590646 hurd-dev_20111206-1_hurd-i386.deb
 1ccd2ca58e529d0c9f4532aaaf92c7207556b769 6521184 hurd-dbg_20111206-1_hurd-i386.deb
 60ff918e6faec2e49a3f59922395c2fe0e40fbd4 2059466 hurd-udeb_20111206-1_hurd-i386.udeb
Checksums-Sha256: 
 30f4b2c568fa5b38c7c33d8e46aec3979b430ff1a764b060f422eab5d8007f41 1751 hurd_20111206-1.dsc
 6f911f09b6b1152bb5082f1f785cfc50c6a24a461241add28e743c6c771799bb 2717008 hurd_20111206.orig.tar.gz
 15ba458afedaab2cebb0d3d66ad6fac27f099642cc3c71db1e90960d5101c11e 85280 hurd_20111206-1.debian.tar.bz2
 06b5660674bd12b2c41d82d4ad69ca22da5ef2cfa65074936726a6e66363067b 198216 hurd-doc_20111206-1_all.deb
 f3df4c1a66ea8d57956d494a1acd32d42c841d5bb416aa1d2ef827a4cad376d2 3622824 hurd_20111206-1_hurd-i386.deb
 5251862ecf9bd8e37acd38288e71b466cb851be5264f3d9828ccee7039de2ce2 590646 hurd-dev_20111206-1_hurd-i386.deb
 0dd5bb42beca1d97b6918557b29f9b408bd0a7e2e580950f7c90e69e2b8a4193 6521184 hurd-dbg_20111206-1_hurd-i386.deb
 a7cbd3c3a1734c1ae84c7fe41dc1e83b229c91b671c3f45bbb0a5ea0f7ae62f9 2059466 hurd-udeb_20111206-1_hurd-i386.udeb
Files: 
 ff90ffd08e3e73e9619d6383cf7196f4 1751 admin required hurd_20111206-1.dsc
 8227dde7c2f509511221ed915a072f8e 2717008 admin required hurd_20111206.orig.tar.gz
 24cf3f9d90d5826248ca3ddae74b09b6 85280 admin required hurd_20111206-1.debian.tar.bz2
 ec4cf4ec3420c6ddeae66ab38c192691 198216 doc optional hurd-doc_20111206-1_all.deb
 19d59343bd215b6d4521e25dbd985ce8 3622824 admin required hurd_20111206-1_hurd-i386.deb
 e49be1cf8b4a84a91d70f6d6d10a254c 590646 libdevel standard hurd-dev_20111206-1_hurd-i386.deb
 95acd9627d71f1c5a52489085947bee7 6521184 debug extra hurd-dbg_20111206-1_hurd-i386.deb
 11b70b67785dc95bba07d1721400614a 2059466 debian-installer optional hurd-udeb_20111206-1_hurd-i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iF4EAREKAAYFAk7gXOkACgkQa6Lp0s/HjrMTJQEAhFBN1YUmjdZ3IPiO5vJ9QJHi
rYlNnTT5u46MibVXxF4A/R8vyMjHuaNUp6hN2nA60WnI6NVr96E9DCzOO1Z+BOD7
=Ow3a
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#650096; Package hurd. (Sun, 11 Dec 2011 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Sun, 11 Dec 2011 12:54:03 GMT) Full text and rfc822 format available.

Message #38 received at 650096@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Pino Toscano <toscano.pino@tiscali.it>
Cc: Samuel Thibault <sthibault@debian.org>, 650096@bugs.debian.org
Subject: Re: Bug#650096: perl: test failure on hurd: ../dist/IO/t/io_pipe.t
Date: Sun, 11 Dec 2011 12:51:04 +0000
[Message part 1 (text/plain, inline)]
On Thu, Dec 01, 2011 at 11:24:10AM +0100, Pino Toscano wrote:
> Alle martedì 29 novembre 2011, Samuel Thibault ha scritto:
> > Dominic Hargreaves, le Sat 26 Nov 2011 13:56:09 +0000, a écrit :
> > > ../dist/IO/t/io_pipe.t .. Failed 1/10 subtests
> > 
> > Pino apparently noticed that it'd be fixed by the pflocal or socket
> > patches, and will confirm
> 
> Yes, it looks like the latest hurd patches made this test pass.

On my test box with hurd 20111206-1 installed, this test still fails
for me. This is with perl 5.14.2-6, with the tests I now expect to be
passing based on bug reports re-enabled:

$ ./perl t/TEST -v ../dist/IO/t/io_pipe.t
t/../dist/IO/t/io_pipe....1..10
ok 1
ok 2
ok 3
ok 4
ok 5
ok 6
ok 7
ok 8
ok 10
FAILED--expected test 9, saw test 10
Failed 1 test out of 1, 0.00% okay.
        ../dist/IO/t/io_pipe.t

Could you check whether the fix you expected to fix this is actually in
20111206-1, or whether there is some other issue?

(Trivial patch to re-enable test attached).

Thanks,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[re-enable-io-pipe.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#650096; Package hurd. (Tue, 13 Dec 2011 17:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Tue, 13 Dec 2011 17:27:05 GMT) Full text and rfc822 format available.

Message #43 received at 650096@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: Pino Toscano <toscano.pino@tiscali.it>, 650096@bugs.debian.org
Subject: Re: Bug#650096: perl: test failure on hurd: ../dist/IO/t/io_pipe.t
Date: Tue, 13 Dec 2011 18:25:18 +0100
Dominic Hargreaves, le Sun 11 Dec 2011 12:51:04 +0000, a écrit :
> On Thu, Dec 01, 2011 at 11:24:10AM +0100, Pino Toscano wrote:
> > Alle martedì 29 novembre 2011, Samuel Thibault ha scritto:
> > > Dominic Hargreaves, le Sat 26 Nov 2011 13:56:09 +0000, a écrit :
> > > > ../dist/IO/t/io_pipe.t .. Failed 1/10 subtests
> > > 
> > > Pino apparently noticed that it'd be fixed by the pflocal or socket
> > > patches, and will confirm
> > 
> > Yes, it looks like the latest hurd patches made this test pass.
> 
> On my test box with hurd 20111206-1 installed, this test still fails
> for me. This is with perl 5.14.2-6, with the tests I now expect to be
> passing based on bug reports re-enabled:

Could you please test with the recently-uploaded libc0.3 2.13-22? It
brings parts of the fixes, possibly things that io_pipe.t needs.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#650096; Package hurd. (Sun, 18 Dec 2011 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Sun, 18 Dec 2011 15:57:03 GMT) Full text and rfc822 format available.

Message #48 received at 650096@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Samuel Thibault <sthibault@debian.org>
Cc: Pino Toscano <toscano.pino@tiscali.it>, 650096@bugs.debian.org
Subject: Re: Bug#650096: perl: test failure on hurd: ../dist/IO/t/io_pipe.t
Date: Sun, 18 Dec 2011 15:52:52 +0000
On Tue, Dec 13, 2011 at 06:25:18PM +0100, Samuel Thibault wrote:
> Dominic Hargreaves, le Sun 11 Dec 2011 12:51:04 +0000, a écrit :
> > On Thu, Dec 01, 2011 at 11:24:10AM +0100, Pino Toscano wrote:
> > > Alle martedì 29 novembre 2011, Samuel Thibault ha scritto:
> > > > Dominic Hargreaves, le Sat 26 Nov 2011 13:56:09 +0000, a écrit :
> > > > > ../dist/IO/t/io_pipe.t .. Failed 1/10 subtests
> > > > 
> > > > Pino apparently noticed that it'd be fixed by the pflocal or socket
> > > > patches, and will confirm
> > > 
> > > Yes, it looks like the latest hurd patches made this test pass.
> > 
> > On my test box with hurd 20111206-1 installed, this test still fails
> > for me. This is with perl 5.14.2-6, with the tests I now expect to be
> > passing based on bug reports re-enabled:
> 
> Could you please test with the recently-uploaded libc0.3 2.13-22? It
> brings parts of the fixes, possibly things that io_pipe.t needs.

That was with 2.13-22~0.1; I've retested with 2.13-23 and it still
fails.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#650096; Package hurd. (Sun, 18 Dec 2011 23:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Sun, 18 Dec 2011 23:30:07 GMT) Full text and rfc822 format available.

Message #53 received at 650096@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: 648623@bugs.debian.org
Cc: Samuel Thibault <sthibault@debian.org>, Dominic Hargreaves <dom@earth.li>, 650096@bugs.debian.org, 650093@bugs.debian.org
Subject: update on the status
Date: Mon, 19 Dec 2011 00:25:57 +0100
[Message part 1 (text/plain, inline)]
Hi,

I just had a run of the perl suite on my Hurd VM, disabling all the 
patches to disable the tests initially mentioned in this report; the 
result was:

Failed 4 tests out of 2031, 99.80% okay.
        ../cpan/Time-HiRes/t/HiRes.t
        ../dist/threads/t/stack.t
        io/pipe.t
        op/sigdispatch.t

- wrt #650096, io_pipe.t still passes for me (hurd 20111206-1
  + libc0.3 2.13-23)...
- op/stat.t: on my VM `ls /dev` hangs now, so I had to disable
  (with the attached patch) 6 checks in it
- syslog.t (#650093) looks like it passes now, I guess the bug could
  be closed?

So, unless I'm missing anything, the following tests could not need any 
more skip on Hurd:
- syslog.t (hurd_test_todo_syslog.diff)
- socketpair.t (hurd_test_skip_socketpair.diff)
- recv.t (hurd_test_skip_recv.diff)
- libc.t (hurd_test_skip_libc.diff)

-- 
Pino Toscano
[hurd-disable-ls.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#650096; Package hurd. (Sun, 18 Dec 2011 23:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Sun, 18 Dec 2011 23:33:10 GMT) Full text and rfc822 format available.

Message #58 received at 650096@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Pino Toscano <pino@debian.org>
Cc: 648623@bugs.debian.org, Dominic Hargreaves <dom@earth.li>, 650096@bugs.debian.org, 650093@bugs.debian.org
Subject: Re: update on the status
Date: Mon, 19 Dec 2011 00:30:36 +0100
Pino Toscano, le Mon 19 Dec 2011 00:25:57 +0100, a écrit :
> - op/stat.t: on my VM `ls /dev` hangs now, so I had to disable
>   (with the attached patch) 6 checks in it

This is odd, I don't have this issue. IIRC you were getting it on
/dev/klog?

> - syslog.t (#650093) looks like it passes now, I guess the bug could
>   be closed?

Probably, but does it work with/without a running syslogd?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#650096; Package hurd. (Mon, 19 Dec 2011 00:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Mon, 19 Dec 2011 00:06:10 GMT) Full text and rfc822 format available.

Message #63 received at 650096@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 650096@bugs.debian.org
Cc: 648623@bugs.debian.org, Dominic Hargreaves <dom@earth.li>, 650093@bugs.debian.org
Subject: Re: Bug#650096: update on the status
Date: Mon, 19 Dec 2011 01:03:41 +0100
[Message part 1 (text/plain, inline)]
Alle lunedì 19 dicembre 2011, Samuel Thibault ha scritto:
> Pino Toscano, le Mon 19 Dec 2011 00:25:57 +0100, a écrit :
> > - op/stat.t: on my VM `ls /dev` hangs now, so I had to disable
> > 
> >   (with the attached patch) 6 checks in it
> 
> This is odd, I don't have this issue. IIRC you were getting it on
> /dev/klog?

Correct.

> > - syslog.t (#650093) looks like it passes now, I guess the bug
> > could
> > 
> >   be closed?
> 
> Probably, but does it work with/without a running syslogd?

It was on my local VM, so it does (while in buildds or in chroots in 
general there's no /var/log):

Dec 18 19:56:38 hurd-emu perl: uid 1000 is testing Perl 5.014002 
syslog(3) capabilities by connecting to a unix socket
Dec 18 19:56:38 hurd-emu perl: uid 1000 is testing Perl 5.014002 
syslog(3) capabilities by connecting to a native socket
Dec 18 19:56:38 hurd-emu perl: uid 1000 is testing Perl 5.014002 
syslog(3) capabilities by connecting to a native socket, setting a fake 
errno: (os/kern) invalid address
Dec 18 19:56:38 hurd-emu perl: uid 1000 is testing Perl 5.014002 
syslog(3) capabilities by connecting to a unix socket
Dec 18 19:56:38 hurd-emu perl: uid 1000 is testing Perl 5.014002 
syslog(3) capabilities by connecting to a unix socket, setting a fake 
errno: (os/kern) invalid address

-- 
Pino Toscano
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#650096; Package hurd. (Tue, 20 Dec 2011 21:27:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Tue, 20 Dec 2011 21:27:15 GMT) Full text and rfc822 format available.

Message #68 received at 650096@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Pino Toscano <pino@debian.org>, 648623@bugs.debian.org
Cc: Samuel Thibault <sthibault@debian.org>, 650093@bugs.debian.org, 650096@bugs.debian.org
Subject: Re: Bug#648623: update on the status
Date: Tue, 20 Dec 2011 21:23:49 +0000
On Mon, Dec 19, 2011 at 12:25:57AM +0100, Pino Toscano wrote:
> Hi,
> 
> I just had a run of the perl suite on my Hurd VM, disabling all the 
> patches to disable the tests initially mentioned in this report; the 
> result was:
> 
> Failed 4 tests out of 2031, 99.80% okay.
>         ../cpan/Time-HiRes/t/HiRes.t
>         ../dist/threads/t/stack.t
>         io/pipe.t
>         op/sigdispatch.t
> 
> - wrt #650096, io_pipe.t still passes for me (hurd 20111206-1
>   + libc0.3 2.13-23)...
> - op/stat.t: on my VM `ls /dev` hangs now, so I had to disable
>   (with the attached patch) 6 checks in it
> - syslog.t (#650093) looks like it passes now, I guess the bug could
>   be closed?
> 
> So, unless I'm missing anything, the following tests could not need any 
> more skip on Hurd:
> - syslog.t (hurd_test_todo_syslog.diff)
> - socketpair.t (hurd_test_skip_socketpair.diff)
> - recv.t (hurd_test_skip_recv.diff)
> - libc.t (hurd_test_skip_libc.diff)

This is what I get on exodar (I didn't re-enable
../cpan/Time-HiRes/t/HiRes.t):

Failed 5 tests out of 2031, 99.75% okay.
        ../cpan/Sys-Syslog/t/syslog.t
        ../dist/IO/t/io_pipe.t
        ../dist/threads/t/stack.t
        io/pipe.t
        op/sigdispatch.t

with

hurd (20111206-1)
eglibc (2.13-22~0.1)

so it's not just my test box which is still broken with:
../dist/IO/t/io_pipe.t and ../cpan/Sys-Syslog/t/syslog.t.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Bug No longer marked as fixed in versions hurd/20111206-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Dec 2011 11:33:39 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Sun, 27 May 2012 10:57:32 GMT) Full text and rfc822 format available.

Bug reassigned from package 'hurd' to 'perl'. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 14 Sep 2013 18:09:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 14 Sep 2013 18:12:11 GMT) Full text and rfc822 format available.

Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Fri, 06 Dec 2013 21:24:15 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 06 Dec 2013 21:24:15 GMT) Full text and rfc822 format available.

Message #81 received at 650096-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 650096-close@bugs.debian.org
Subject: Bug#650096: fixed in perl 5.18.1-5
Date: Fri, 06 Dec 2013 21:21:14 +0000
Source: perl
Source-Version: 5.18.1-5

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650096@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 06 Dec 2013 20:05:55 +0200
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-debug libperl5.18 libperl-dev perl-modules perl
Architecture: source all amd64
Version: 5.18.1-5
Distribution: unstable
Urgency: medium
Maintainer: Niko Tyni <ntyni@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Description: 
 libcgi-fast-perl - CGI::Fast Perl module
 libperl-dev - Perl library: development files
 libperl5.18 - shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - minimal Perl system
 perl-debug - debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl-modules - Core Perl modules
Closes: 650093 650096 650187 650188 709385 730558 731365
Changes: 
 perl (5.18.1-5) unstable; urgency=medium
 .
   [ Dominic Hargreaves ]
   * Revert patches disabling GNU/Hurd tests which now succeed:
     - debian/hurd_net_ping_disable_test.diff (Closes: #709385)
     - debian/hurd_test_skip_io_pipe.diff (Closes: #650096)
     - debian/hurd_test_skip_pipe.diff (Closes: #650187)
     - debian/hurd_test_skip_sigdispatch.diff (Closes: #650188)
     - debian/hurd_test_todo_syslog.diff (Closes: #650093)
   * Various tidying of Copyright file in line with Lintian's suggestions
   * Override Lintian tag spelling-error-in-copyright for an upstream error
   * Override Lintian tag empty-binary-package for libperl5.18 as it
     is a dummy package on some architectures
 .
   [ Niko Tyni ]
   * Include upstream fix for regex \8 and \9 after literals.
     (Closes: #731365)
   * Fix spelling of IPC_CREAT in IPC-SysV documentation. (Closes: #730558)
Checksums-Sha1: 
 e705006d7047b492ec27e00f6f203e5763bfcd44 2353 perl_5.18.1-5.dsc
 e02b424050b47f516c780b988c1ceacd189f761b 128790 perl_5.18.1-5.debian.tar.gz
 cc93cffd098537c74c16033855fcee3ed07e9f08 77518 libcgi-fast-perl_5.18.1-5_all.deb
 2df3e914afccb7eaed5df21c7ba37989966404ad 7312176 perl-doc_5.18.1-5_all.deb
 2ce47c01219baef9fde962a5ff4866f52baed631 2732626 perl-modules_5.18.1-5_all.deb
 0201325bef2f460a5fc683417e656457288ec153 1148628 perl-base_5.18.1-5_amd64.deb
 13c659ebc78124d92ee8eacc95f36a9a9e24a0fa 5101322 perl-debug_5.18.1-5_amd64.deb
 244aa197260d86d615423bd172c3f2553fda836c 1274 libperl5.18_5.18.1-5_amd64.deb
 eec10b8d94b70a5f09f34da769cb8350aa29cc89 2271084 libperl-dev_5.18.1-5_amd64.deb
 8f8a9c69e9aa526bac33121cf23bc5363059a00e 2658360 perl_5.18.1-5_amd64.deb
Checksums-Sha256: 
 7edab4e37b08a4f3ded800de386a6d6e8087e510ff817765cbad36241cf60de8 2353 perl_5.18.1-5.dsc
 cd80766c916a631842d7f18ad74a495adc41d4a1d0a7dd7abd40dc7790f07c8e 128790 perl_5.18.1-5.debian.tar.gz
 e09ac881d27d3b838a76bfab7a300252752a54ad59fa4d5e62c59fe8fa90286d 77518 libcgi-fast-perl_5.18.1-5_all.deb
 2933fee9770b5e2772f019e54d054552fc63be6cfef977adc87cbcf6ca3e5eed 7312176 perl-doc_5.18.1-5_all.deb
 561caaba03b6e79106c527d2d732ee95641e59445d0968ad31e14cef1aef6668 2732626 perl-modules_5.18.1-5_all.deb
 1f7404bf1009d622bc17672788b0ce0e1fc15f291d3d799060167df37b03c32a 1148628 perl-base_5.18.1-5_amd64.deb
 e8952343a6d92857b19e1bc9f523621b6fdc1454a647f64b04fe7b6a7681677c 5101322 perl-debug_5.18.1-5_amd64.deb
 7f2ee0824bfb4a01a40764730a4f4f153e5221076df0a138edd29d6ec86519dd 1274 libperl5.18_5.18.1-5_amd64.deb
 fa02c014daba2431c1306d6cd4fb2af6521a676c2d0ad1ddbe16992f1c351fea 2271084 libperl-dev_5.18.1-5_amd64.deb
 a96fae2c379e42984cb8eb22c7cb55cfa0f1428e11f081e0bcb82898852a93fb 2658360 perl_5.18.1-5_amd64.deb
Files: 
 3eb1e54b97f06a4b695066f315df042d 2353 perl standard perl_5.18.1-5.dsc
 25f720b6809b40c200fb22511b737c69 128790 perl standard perl_5.18.1-5.debian.tar.gz
 bd9aaf1257cfb0527c8fe500676ae8d3 77518 perl optional libcgi-fast-perl_5.18.1-5_all.deb
 b7e0fde8d07799e5a4c9569f122ca6dc 7312176 doc optional perl-doc_5.18.1-5_all.deb
 fba7d4cedb681d35014822968c0114e5 2732626 perl standard perl-modules_5.18.1-5_all.deb
 3855c7ccba500bf74dbbb8da3dd42472 1148628 perl required perl-base_5.18.1-5_amd64.deb
 1106b685186ebb7bea3c0bb443dd6606 5101322 debug extra perl-debug_5.18.1-5_amd64.deb
 c32f7d47e7e6f8382a3cfc5fc58da972 1274 libs optional libperl5.18_5.18.1-5_amd64.deb
 bf54a1aac5a6d6599e52e348b756f695 2271084 libdevel optional libperl-dev_5.18.1-5_amd64.deb
 237ddd01182294351e9994ca298204d6 2658360 perl standard perl_5.18.1-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSoi6hAAoJEA0Gp1nm04eQM4YQAIbFdtKkYtZraSW4+LUBZDBZ
KeKp+E3eSaX6LG60YRLrlDYz9TBKAibYpau1KHFoBoFax8nRB7YC3+FvF+YeGw6h
iS5N90yFEs8eP+jMzLyrCnwM1RwQBaa+jGrsDzYUFZMHBEe1xfdjABM+ERqRC9pD
xiD8zffICEIiMWFXYSZWy4vxdLD8OtBSELLrwAQbcXlL/X0Bav1Xpj4Dkkwif9uM
j3931E9+QcvUe141FZVmVL7k88COFpURlodu4B11qVqAVGWOy3T8MDN9wgWJOCdv
Ks9xEc/PQFVCWOfErpoUdr48MBrFv5akNUApbWWg0khyUaUy6Vs8/pj9DOYnHD2A
AXz6U/6sT7+AERbDZ/QUb0mJnonLV026rN4VDWka8AfjPb4h7I/lWdejQSUOw2eS
Ar0AVeZKQGuYDtdhFUfNith1wdoODKsuUGW7qwCK6XHRg3rDHtUUsAcaEkxUKp1E
o8UWZs6iVZqLiLh4Cqe46AnKtaUzUmR4QuFALhanYdaNLbGNq7iQALJzbEPh4l8b
39/33BXd1zk0jluDCTTcTGKdbXiB5z3o8hxl3L5aBGFeOc0+Mxtl5pK/cEv2Kdw7
br4gR5aLDZoOWqOVm9IUpjkL60gRfNuSyhzALAufM4QI+Gqy68DihxuKUoJD73SN
JVn0PZazUMUF0kBXg6EA
=qHxi
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Jan 2014 07:42:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:38:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.